Package com.emc.d2fs.service.d2collection

# Enum UserGroupDetails.RecipientType

java.lang.Object
java.lang.Enum<UserGroupDetails.RecipientType>
com.emc.d2fs.service.d2collection.UserGroupDetails.RecipientType

All Implemented Interfaces:
  `Serializable`, `Comparable<UserGroupDetails.RecipientType>`, `java.lang.constant.Constable`

Enclosing class:
  UserGroupDetails

public static enum UserGroupDetails.RecipientType extends Enum<UserGroupDetails.RecipientType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GROUP`
  `USER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static UserGroupDetails.RecipientType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static UserGroupDetails.RecipientType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USER

    public static final UserGroupDetails.RecipientType USER

  - ### GROUP

    public static final UserGroupDetails.RecipientType GROUP

- ## Method Details

  - ### values

    public static UserGroupDetails.RecipientType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static UserGroupDetails.RecipientType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()